<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 17:22:56 CEST 2020 -->
<title>ACIDmitigation</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ACIDmitigation";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ACIDmitigation.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/polarsys/chess/fla/flamm/ACIDavoidable.html" title="class in org.polarsys.chess.fla.flamm"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/polarsys/chess/fla/flamm/Component.html" title="class in org.polarsys.chess.fla.flamm"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/polarsys/chess/fla/flamm/ACIDmitigation.html" target="_top">Frames</a></li>
<li><a href="ACIDmitigation.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.fla.flamm</div>
<h2 title="Class ACIDmitigation" class="title">Class ACIDmitigation</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</li>
<li>
<ul class="inheritance">
<li>org.polarsys.chess.fla.flamm.ACIDmitigation</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ACIDmitigation</span>
extends org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
implements org.eclipse.emf.ecore.EObject</pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>ACI Dmitigation</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
   <li><a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#getA--"><code><em>A</em></code></a></li>
   <li><a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#getC--"><code><em>C</em></code></a></li>
   <li><a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#getI--"><code><em>I</em></code></a></li>
   <li><a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#getD--"><code><em>D</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/fla/flamm/FlammPackage.html#getACIDmitigation--"><code>FlammPackage.getACIDmitigation()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends java.lang.Object &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder</h3>
<code>NIL</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#ACIDmitigation--">ACIDmitigation</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#eGet-int-boolean-boolean-">eGet</a></span>(int&nbsp;featureID,
    boolean&nbsp;resolve,
    boolean&nbsp;coreType)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#eIsSet-int-">eIsSet</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#eSet-int-java.lang.Object-">eSet</a></span>(int&nbsp;featureID,
    java.lang.Object&nbsp;newValue)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#eUnset-int-">eUnset</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/A_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes">A_mitigation</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#getA--">getA</a></span>()</code>
<div class="block">Returns the value of the '<em><b>A</b></em>' attribute.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/C_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes">C_mitigation</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#getC--">getC</a></span>()</code>
<div class="block">Returns the value of the '<em><b>C</b></em>' attribute.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/D_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes">D_mitigation</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#getD--">getD</a></span>()</code>
<div class="block">Returns the value of the '<em><b>D</b></em>' attribute.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/I_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes">I_mitigation</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#getI--">getI</a></span>()</code>
<div class="block">Returns the value of the '<em><b>I</b></em>' attribute.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#setA-org.polarsys.chess.fla.flamm.FailureTypes.A_mitigation-">setA</a></span>(<a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/A_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes">A_mitigation</a>&nbsp;newA)</code>
<div class="block">Sets the value of the '<a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#getA--"><code><em>A</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#setC-org.polarsys.chess.fla.flamm.FailureTypes.C_mitigation-">setC</a></span>(<a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/C_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes">C_mitigation</a>&nbsp;newC)</code>
<div class="block">Sets the value of the '<a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#getC--"><code><em>C</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#setD-org.polarsys.chess.fla.flamm.FailureTypes.D_mitigation-">setD</a></span>(<a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/D_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes">D_mitigation</a>&nbsp;newD)</code>
<div class="block">Sets the value of the '<a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#getD--"><code><em>D</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#setI-org.polarsys.chess.fla.flamm.FailureTypes.I_mitigation-">setI</a></span>(<a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/I_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes">I_mitigation</a>&nbsp;newI)</code>
<div class="block">Sets the value of the '<a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#getI--"><code><em>I</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eInternalContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ACIDmitigation--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ACIDmitigation</h4>
<pre>public&nbsp;ACIDmitigation()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getA--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getA</h4>
<pre>public&nbsp;<a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/A_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes">A_mitigation</a>&nbsp;getA()</pre>
<div class="block">Returns the value of the '<em><b>A</b></em>' attribute.
 The literals are from the enumeration <a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/A_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><code>A_mitigation</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>A</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>A</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/A_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><code>A_mitigation</code></a>, 
<a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#setA-org.polarsys.chess.fla.flamm.FailureTypes.A_mitigation-"><code>setA(A_mitigation)</code></a>, 
<a href="../../../../../org/polarsys/chess/fla/flamm/FlammPackage.html#getACIDmitigation_A--"><code>FlammPackage.getACIDmitigation_A()</code></a></dd>
</dl>
</li>
</ul>
<a name="setA-org.polarsys.chess.fla.flamm.FailureTypes.A_mitigation-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setA</h4>
<pre>public&nbsp;void&nbsp;setA(<a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/A_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes">A_mitigation</a>&nbsp;newA)</pre>
<div class="block">Sets the value of the '<a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#getA--"><code><em>A</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>A</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/A_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><code>A_mitigation</code></a>, 
<a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#getA--"><code>getA()</code></a></dd>
</dl>
</li>
</ul>
<a name="getC--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getC</h4>
<pre>public&nbsp;<a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/C_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes">C_mitigation</a>&nbsp;getC()</pre>
<div class="block">Returns the value of the '<em><b>C</b></em>' attribute.
 The literals are from the enumeration <a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/C_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><code>C_mitigation</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>C</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>C</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/C_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><code>C_mitigation</code></a>, 
<a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#setC-org.polarsys.chess.fla.flamm.FailureTypes.C_mitigation-"><code>setC(C_mitigation)</code></a>, 
<a href="../../../../../org/polarsys/chess/fla/flamm/FlammPackage.html#getACIDmitigation_C--"><code>FlammPackage.getACIDmitigation_C()</code></a></dd>
</dl>
</li>
</ul>
<a name="setC-org.polarsys.chess.fla.flamm.FailureTypes.C_mitigation-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setC</h4>
<pre>public&nbsp;void&nbsp;setC(<a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/C_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes">C_mitigation</a>&nbsp;newC)</pre>
<div class="block">Sets the value of the '<a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#getC--"><code><em>C</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>C</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/C_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><code>C_mitigation</code></a>, 
<a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#getC--"><code>getC()</code></a></dd>
</dl>
</li>
</ul>
<a name="getI--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getI</h4>
<pre>public&nbsp;<a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/I_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes">I_mitigation</a>&nbsp;getI()</pre>
<div class="block">Returns the value of the '<em><b>I</b></em>' attribute.
 The literals are from the enumeration <a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/I_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><code>I_mitigation</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>I</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>I</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/I_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><code>I_mitigation</code></a>, 
<a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#setI-org.polarsys.chess.fla.flamm.FailureTypes.I_mitigation-"><code>setI(I_mitigation)</code></a>, 
<a href="../../../../../org/polarsys/chess/fla/flamm/FlammPackage.html#getACIDmitigation_I--"><code>FlammPackage.getACIDmitigation_I()</code></a></dd>
</dl>
</li>
</ul>
<a name="setI-org.polarsys.chess.fla.flamm.FailureTypes.I_mitigation-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setI</h4>
<pre>public&nbsp;void&nbsp;setI(<a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/I_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes">I_mitigation</a>&nbsp;newI)</pre>
<div class="block">Sets the value of the '<a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#getI--"><code><em>I</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>I</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/I_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><code>I_mitigation</code></a>, 
<a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#getI--"><code>getI()</code></a></dd>
</dl>
</li>
</ul>
<a name="getD--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getD</h4>
<pre>public&nbsp;<a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/D_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes">D_mitigation</a>&nbsp;getD()</pre>
<div class="block">Returns the value of the '<em><b>D</b></em>' attribute.
 The literals are from the enumeration <a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/D_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><code>D_mitigation</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>D</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>D</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/D_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><code>D_mitigation</code></a>, 
<a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#setD-org.polarsys.chess.fla.flamm.FailureTypes.D_mitigation-"><code>setD(D_mitigation)</code></a>, 
<a href="../../../../../org/polarsys/chess/fla/flamm/FlammPackage.html#getACIDmitigation_D--"><code>FlammPackage.getACIDmitigation_D()</code></a></dd>
</dl>
</li>
</ul>
<a name="setD-org.polarsys.chess.fla.flamm.FailureTypes.D_mitigation-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setD</h4>
<pre>public&nbsp;void&nbsp;setD(<a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/D_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes">D_mitigation</a>&nbsp;newD)</pre>
<div class="block">Sets the value of the '<a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#getD--"><code><em>D</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>D</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/fla/flamm/FailureTypes/D_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><code>D_mitigation</code></a>, 
<a href="../../../../../org/polarsys/chess/fla/flamm/ACIDmitigation.html#getD--"><code>getD()</code></a></dd>
</dl>
</li>
</ul>
<a name="eGet-int-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eGet</h4>
<pre>public&nbsp;java.lang.Object&nbsp;eGet(int&nbsp;featureID,
                             boolean&nbsp;resolve,
                             boolean&nbsp;coreType)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eGet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eGet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eSet-int-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eSet</h4>
<pre>public&nbsp;void&nbsp;eSet(int&nbsp;featureID,
                 java.lang.Object&nbsp;newValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eSet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eUnset-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eUnset</h4>
<pre>public&nbsp;void&nbsp;eUnset(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eUnset</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eUnset</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eIsSet-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eIsSet</h4>
<pre>public&nbsp;boolean&nbsp;eIsSet(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eIsSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eIsSet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ACIDmitigation.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/polarsys/chess/fla/flamm/ACIDavoidable.html" title="class in org.polarsys.chess.fla.flamm"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/polarsys/chess/fla/flamm/Component.html" title="class in org.polarsys.chess.fla.flamm"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/polarsys/chess/fla/flamm/ACIDmitigation.html" target="_top">Frames</a></li>
<li><a href="ACIDmitigation.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
